import ModalProgrammatic from '../sh-modal/index';

export default {
  alert(params: any) {
    let content;
    if (typeof params === 'string') { content = params; }
    const defaultParam = {
      canCancel: false,
      showClose: false,
      width: 400,
      modalCardHeader: 'Alert',
      modalCardConfirm: 'OK',
    };
    const propsData = Object.assign(defaultParam, params);
    ModalProgrammatic.open(propsData);
  },
  confirm(params: any) {
    const defaultParam = {
      width: 400,
      modalCardCancel: 'Cancel',
      modalCardConfirm: 'Confirm',
      modalCardHeader: 'Confirmation',
    };
    const propsData = Object.assign(defaultParam, params);
    ModalProgrammatic.open(propsData);
  },
};
