import ShModal from './ShModal.vue';
import Vue from 'vue';


export { ShModal };
export default {
  open(params: any) {
    let content;
    let parent;
    if (typeof params === 'string') { content = params; }

    const defaultParam = {
      programmatic: true,
      content,
    };

    if (params.parent) {
      parent = params.parent;
      delete params.parent;
    }
    const propsData = Object.assign(defaultParam, params);

    const ModalComponent = Vue.extend(ShModal);
    return new ModalComponent({
      parent,
      el: document.createElement('div'),
      propsData,
    });
  },
};
