/* eslint-disable import/no-extraneous-dependencies */
import {storiesOf} from '@storybook/vue'
import {action} from '@storybook/addon-actions'
import { withKnobs, text, boolean, number } from '@storybook/addon-knobs';

import centered from "@storybook/addon-centered";

const stories = storiesOf('Loading', module);

stories.addDecorator(withKnobs);
stories.addDecorator(centered);
stories.add('ShLoading', () => ({
  template: `
  <div class="sh-page-content" v-loading="${boolean('Loading', true)}">
    Content
  </div>`,
}));
