/* eslint-disable import/no-extraneous-dependencies */
import {storiesOf} from '@storybook/vue'
import {
  withKnobs,
  text,
  boolean,
} from '@storybook/addon-knobs';

import ShRadio from '../components/sh-radio/ShRadio';
import ShRadioGroup from '../components/sh-radio/ShRadioGroup';
import centered from "@storybook/addon-centered";
import SimpleFormValidation from './validation/SimpleFormValidation.vue';
import VueI18n from 'vue-i18n'
import i18n from '../../config/storybook/locale';
const stories = storiesOf('Validation', module);
stories.addDecorator(withKnobs);
stories.add('Simple form', () => ({
    components: { SimpleFormValidation },
    i18n: i18n,
    template: `
            <SimpleFormValidation></SimpleFormValidation>
        `,
  }), {
    notes: `
     HTML note
    `,
  });
stories.addDecorator(centered);
