"use strict"
const path = require("path");

module.exports = {
  css: {
    loaderOptions: {
      sass: {
        data: `
          @import './src/sass/_variables.scss';
          @import './src/sass/base/_colors.scss';
          @import './src/sass/utilities/module.scss';
          @import './src/sass/base/_font-icon.scss';
          @import './src/sass/atoms/_icons.scss';
          @import './src/sass/atoms/_flags.scss';
          @import './src/sass/atoms/_loading.scss';
          @import './src/sass/atoms/_typography.scss';
          @import './src/sass/vue/_select-vue.scss';
          @import './src/sass/vue/_file-upload.scss';
          @import './src/sass/buefy/bulmamixins.scss';
         `
      },
    },

  }
};
