import {Component, Vue, Prop} from 'vue-property-decorator';

@Component
export default class Picker extends Vue {
  @Prop() public init: any;
  @Prop() public color: any;
  @Prop() public rgbaColor: any;
  @Prop() public isDark: any;
  @Prop() public pickerUpdate: any;
  @Prop() public picker: any;

  public dragger: any = {
    left: 0,
    top: 0,
  };

  public pickerClicked(e: any, dragStatus: any) {
    this.$emit('pickerClicked', e, dragStatus);
  }
}
