import _Vue from 'vue';
import './lib';
import { ShDialog, ShModalProgrammatic } from './components';

// Adds Buefy method signatures to Vue instance (ie this.$dialog)
declare module 'vue/types/vue' {
    interface Vue {
        $shdialog: typeof ShDialog;
        $shmodal: typeof ShModalProgrammatic;
    }
}


declare const _default: {
    install(Vue: typeof _Vue): void;
};

export {
    ShDialog, ShModalProgrammatic
}

export default _default;
